Subject: Re: bug#72268: 31.0.50; Color emoji rendering

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Jul 2024 15:30:35 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: Po Lu <[email-masked]>,  [email-masked]
> Date: Wed, 24 Jul 2024 13:59:10 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Wed, 24 Jul 2024 10:59:03 +0200
> >> From:  Manuel Giraud via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> With emacs configured as below, I have a weird rendering for color
> >> emojis:
> >
> > I don't think we support color Emoji without Cairo.  Po Lu, am I
> > right?
> >
> > If you use a black-and-white Emoji font, do Emoji display correctly?
> 
> Yes they do.  The black and white "Noto Emoji" are correctly displayed.

I think this is all you can expect without Cairo.

> FWIW, a Cairo build is worse in this regard: no Emoji are displayed at
> all (black and white or color).

That's strange, because AFAIK users on GNU/Linux do report very good
results with Cairo and color Emoji fonts.  Did you try Noto Color
Emoji (which is the default font for Emoji in Emacs)?